Ergebnis 1 bis 8 von 8

Thema: Kleine Probleme nach Umzug

  1. #1
    Neuer Benutzer
    Registriert seit
    10.07.2007
    Beiträge
    21

    Kleine Probleme nach Umzug

    Erst einmal toll, dass hier doch noch die ein oder andere Frage beantwortet wird.

    Ich habe noch ein Forum unter 3.8.9 PL1 - ein Auslaufmodell, eher als Gewohnheit - ich werde da auch nicht mehr allzu viel Einsatz reinstecken. Daher auch nichts neues mehr.

    Hoster schaltet jetzt PHP 5.6 ab, also bin ich gewechselt, wo 5.6 noch etwas länger läuft. Ich weiß, VB 3.8 geht auch unter PHP 7, aber nicht mein vBA CMPS. Auf diese Portal Einstiegsseite will ich einfach nicht verzichten.

    Der Wechsel mit kompletter Datenbank ging eigentlich ganz gut, keine Probleme gesehen oder gemeldet bekommen. Lediglich im Admin Kontrollzentrum sind mir Kleinigkeiten aufgefallen:

    Mitten auf der Startseite steht die Meldung
    PHP Warning: number_format() expects parameter 1 to be double, string given in ..../includes/functions.php on line 361

    Kann ich nichts mit anfangen. Ich weiß nicht was PHP da erwartet, aber nicht bekommt. Hatte ich bisher nicht, die Meldung. Scheint aber auch keine großen Auswikungen zu haben, es sei denn auf folgende Punkte noch:

    Mir ist aufgefallen, dass oben die Information der aktuellen und der neuesten verfügbaren Version nicht mehr steht. Also das: Es steht eine neuere Version zum Download bereit.

    Und wenn ich Änderungen tätige, läd die nächste Seite nicht mehr automatisch, auch nicht wenn ich auf den Link klicke für die Weiterleitung. Ich muss dann links im Menu wieder die Rubrik aufrufen.

    Ist alles nicht schlimm, aber auf dem anderen System hatte ich das nicht.

    Alt: PHP 5.6.38 und MySQl 5.6.36 / Neu: PHP 5.6.32 und MySQl 10.1.31

    Vielleicht hat ja jemand Ahnung und Spaß etwas dazu zu schreiben.

    LG

  2. #2
    vB-Guru Avatar von Jaydee
    Registriert seit
    29.05.2008
    Ort
    ...tief im Westen....
    Alter
    57
    Beiträge
    13.444
    Hallo,

    die Meldung könntest Du zwar unterdrücken, aber der Rest klingt seltsam.
    Ich habe gerade mal in einem von mir betreuten 3.8er Forum geschaut, dort läuft PHP 5.6.37 mit MySQL 5.6.40 und es gibt keinerlei Probleme.
    Hat der Hoster evtl. sonstige Einschränkungen, bzw. ist dort der Safemode aktiv?

    Sonst lade doch die Dateien des AdminCP nochmal neu auf den Server, manchmal erübrigt das schon Probleme durch Fehlübertragungen usw. Auch wenn die Chance recht klein ist. Aber eine andere Erklärung habe ich im Moment nicht, ohne die Umgebung des Servers genau zu kennen.
    Gruß
    Jörg


    Die deutsche Rechtschreibung ist Freeware. Das heißt, Du kannst sie kostenlos nutzen.
    Allerdings ist sie nicht Open Source, d.h. Du darfst sie nicht verändern oder in veränderter Form veröffentlichen.



  3. #3
    Neuer Benutzer
    Registriert seit
    10.07.2007
    Beiträge
    21
    Danke für den Tipp. Das Neu-Laden der Dateien hat leider erst einmal nichts gebracht. Ich habe aber ein PHP Error Log "gefunden". Da wiederholen sich folgende Meldungen:

    [19-Oct-2018 05:40:57 Europe/Berlin] XML error: Not well-formed (invalid token) at line 1, column 1
    [19-Oct-2018 06:41:23 Europe/Berlin] XML-RPC: xmlrpc_server::execute: function tt_login_func registered as method handler does not return an xmlrpcresp object

    ?

    Übrigens gerade nachgeschaut:
    "Kein Safe Mode oder sonstige Einschränkungen!" Wird extra mit geworben.

  4. #4
    Fortgeschrittener Benutzer Avatar von Masterix
    Registriert seit
    03.05.2008
    Ort
    Stuttgart
    Beiträge
    177
    Kannst du nicht auf vB 3.8.11 upgraden? Das läuft auch noch mit der PHP-Version, dort wurden jedoch noch viele Fehler, vielleicht auch dieser, behoben.
    Gruß, Masterix

    --

  5. #5
    Neuer Benutzer
    Registriert seit
    10.07.2007
    Beiträge
    21
    Doch, klar. Bisher sah ich dazu keine Veranlassung. Werde ich kommende Woche mal in Angriff nehmen.

  6. #6
    Fortgeschrittener Benutzer Avatar von Masterix
    Registriert seit
    03.05.2008
    Ort
    Stuttgart
    Beiträge
    177
    Nicht vergessen, vorher ein Komplettbackup anzufertigen falls etwas schief geht.

    Solange du bei PHP 5.6 bleibst sollte das Upgrade so einfach gehen wie man das bis dahin von vB Software gewohnt war. (Ganz im Gegenteil zu heute...) Du solltest aber ein Auge auf die /includes/config.php werfen da hier neue Optionen hinzugekommen sind.

    Wenn deine Mods mitspielen kannst du, wenn alles mit PHP 5.6 funktioniert, mal PHP 7.1 testen. Damit bekommst du einen merklichen Performance-Schub. Alles läuft damit wesentlich flüssiger.
    Gruß, Masterix

    --

  7. #7
    Neuer Benutzer
    Registriert seit
    10.07.2007
    Beiträge
    21
    So, kurze Info zum Abschluss hier:

    Upgrade durchgeführt, ohne Probleme durchgelaufen.

    Hatte dann zwar Datenbankfehler, aber schnell gemerkt, dass diese durch den Beitrags Danke Hack verursacht wurden. Dort im Forum fand ich aber auch die Lösung. Da brauchte nur eine kleine Änderung im Script durchgeführt werden, da waren auch die Fehlermeldungen weg.

    Das einzige Problem, das geblieben ist, ist die leere Seite im Hauptframe im Adminbereich die erscheint, wenn ich eine Änderung durchgeführt habe. Kann ich aber mit leben, der Navi Frame ist ja da.

    Forum läuft jetzt jedenfalls weiter, solange bis es gar keinen mehr interessiert. Passt dann zum Thema über diesem hier. Rückgang bei uns in den letzten Jahren von schätzungsweise 1000 Aktiven auf vielleicht noch jetzt 200.

    LG an die Aufrechten :-)

  8. #8
    Fortgeschrittener Benutzer Avatar von Masterix
    Registriert seit
    03.05.2008
    Ort
    Stuttgart
    Beiträge
    177
    Zitat Zitat von webwolf Beitrag anzeigen
    So, kurze Info zum Abschluss hier:

    ...
    Das einzige Problem, das geblieben ist, ist die leere Seite im Hauptframe im Adminbereich die erscheint, wenn ich eine Änderung durchgeführt habe. Kann ich aber mit leben, der Navi Frame ist ja da.

    LG an die Aufrechten :-)
    Schön dass du dich zurückmeldest.
    Im Errorlog müsste bei Aufruf des ACP eine Fehlermeldung erscheinen. Eventuell auch mal scheuen was im Quelltext des Seite und des Frames auftaucht. Dann wäre noch eine Idee zu schauen ob ein Addon existiert das das ACP "infiltriert" um dort eigene Daten einzutragen. Das könnte Probleme mit PHP7.x haben und der Frame deshalb weis bleiben.

    Das Sinken deiner aktiven Nutzerzahlen ist ein weithin zu beobachtendes gesamtgesellschaftliches Phänomen. Immer weniger beteiligen sich "für Lau" an etwas. Man kann auch hier (wie in Politik und Medien) richtig beobachten wie die noch engagierten Generationen aussterben und fast nur noch Egomanen nachwachsen.

    PS: Am Rande bemerkt haben wir uns dazu entschieden auf XenForo zu migrieren. Lizenz heute bekommen, nun muss ich erstmal eine Testinstallation erstellen und den bisherigen vBulletinStyle dort nachbauen...
    Gruß, Masterix

    --

Aktive Benutzer

Aktive Benutzer

Aktive Benutzer in diesem Thema: 1 (Registrierte Benutzer: 0, Gäste: 1)

Ähnliche Themen

  1. Allgemein - Kleine problemchen nach Umzug.
    Von Valker im Forum vBulletin 4 Fragen und Probleme
    Antworten: 3
    Letzter Beitrag: 01.01.2012, 20:18
  2. Probleme nach Umzug und Aktualisierung auf 3.8.1
    Von Maddrax im Forum vBulletin 3.8 Fragen und Probleme
    Antworten: 2
    Letzter Beitrag: 04.02.2009, 10:15
  3. Probleme nach Umzug
    Von nebu im Forum vBulletin 3.7 Fragen und Probleme
    Antworten: 10
    Letzter Beitrag: 20.09.2008, 16:50
  4. Probleme nach Server Umzug
    Von kottos im Forum vBulletin 3.6 Fragen und Probleme
    Antworten: 4
    Letzter Beitrag: 19.07.2008, 09:33
  5. Nach Umzug SQL Probleme
    Von LordShelmchen im Forum vBulletin 3.6 Fragen und Probleme
    Antworten: 9
    Letzter Beitrag: 26.09.2007, 21:50

Lesezeichen

Berechtigungen

  • Neue Themen erstellen: Nein
  • Themen beantworten: Nein
  • Anhänge hochladen: Nein
  • Beiträge bearbeiten: Nein
  •